### Method

# GLib TimeZone adjust_time

since: 2.26

#### Declaration

    gint
    g_time_zone_adjust_time (
      GTimeZone* tz,
      GTimeType type,
      gint64* time_
    )

#### Description

Finds an interval within `tz` that corresponds to the given `time_`, possibly adjusting `time_` if required to fit into an interval. The meaning of `time_` depends on `type`.

This function is similar to g_time_zone_find_interval(), with the difference that it always succeeds (by making the adjustments described below).

In any of the cases where `g_time_zone_find_interval()` succeeds then this function returns the same value, without modifying `time_`.

This function may, however, modify `time_` in order to deal with non-existent times. If the non-existent local `time_` of 02:30 were requested on March 14th 2010 in Toronto then this function would adjust `time_` to be 03:00 and return the interval containing the adjusted time.

Available since: 2.26

#### Parameters

`type`

  Type: `GTimeType`

  The `GTimeType` of `time_`

`time_`

  Type: `gint64*`

  A pointer to a number of seconds since January 1, 1970

  The argument will be modified by the function.

#### Return value

Type: `gint`

The interval containing `time_`, never -1